summaryrefslogtreecommitdiffabout
path: root/configure.ac
Side-by-side diff
Diffstat (limited to 'configure.ac') (more/less context) (ignore whitespace changes)
-rw-r--r--configure.ac12
1 files changed, 6 insertions, 6 deletions
diff --git a/configure.ac b/configure.ac
index 84544b2..917bab5 100644
--- a/configure.ac
+++ b/configure.ac
@@ -15,7 +15,7 @@
# along with Varnish-mib. If not, see <http://www.gnu.org/licenses/>.
AC_PREREQ(2.69)
-AC_INIT([varnish-mib], 1.1.90, [gray@gnu.org])
+AC_INIT([varnish-mib], 2.0, [gray@gnu.org])
AC_CONFIG_SRCDIR(src/varnish_mib.mib2c)
AM_CONFIG_HEADER(config.h)
AC_CONFIG_AUX_DIR([build-aux])
@@ -45,17 +45,17 @@ PKG_PROG_PKG_CONFIG
# Checks for Varnish
PKG_CHECK_MODULES([VARNISHAPI], [varnishapi >= 5.0])
-varnishapi_version() {
- AC_DEFINE_UNQUOTED([VARNISHAPI_MAJOR],[$1],[Varnish API major version number])
- AC_DEFINE_UNQUOTED([VARNISHAPI_MINOR],[$2],[Varnish API minor version number])
- AC_DEFINE_UNQUOTED([VARNISHAPI_PATCH],[$3],[Varnish API patchlevel])
+check_minor_number() {
+ if [ "$2" -gt 1 ]; then
+ AC_MSG_ERROR([Unsupported Varnish API version; please try varnish_mib 3.0 or newer])
+ fi
}
v=$($PKG_CONFIG --modversion varnishapi)
if test -n "$v"; then
save_IFS=$IFS
IFS='.'
- varnishapi_version $v
+ check_minor_number $v
IFS=$save_IFS
fi

Return to:

Send suggestions and report system problems to the System administrator.